using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Demo2;

// Copyright 2002, JNBridge LLC

namespace Demo2
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.ListView authors;
		private System.Windows.Forms.ListView titles;
		private System.Windows.Forms.ColumnHeader lastName;
		private System.Windows.Forms.ColumnHeader firstName;
		private System.Windows.Forms.ColumnHeader title;
		private System.Windows.Forms.ColumnHeader publisher;
		private System.Windows.Forms.ColumnHeader year;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.button1 = new System.Windows.Forms.Button();
			this.authors = new System.Windows.Forms.ListView();
			this.titles = new System.Windows.Forms.ListView();
			this.lastName = new System.Windows.Forms.ColumnHeader();
			this.firstName = new System.Windows.Forms.ColumnHeader();
			this.title = new System.Windows.Forms.ColumnHeader();
			this.publisher = new System.Windows.Forms.ColumnHeader();
			this.year = new System.Windows.Forms.ColumnHeader();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(24, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(216, 23);
			this.label1.TabIndex = 0;
			this.label1.Text = "Authors";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(24, 144);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(464, 23);
			this.label2.TabIndex = 2;
			this.label2.Text = "Titles";
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(272, 320);
			this.button1.Name = "button1";
			this.button1.TabIndex = 4;
			this.button1.Text = "Done";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// authors
			// 
			this.authors.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																					  this.lastName,
																					  this.firstName});
			this.authors.Location = new System.Drawing.Point(24, 40);
			this.authors.MultiSelect = false;
			this.authors.Name = "authors";
			this.authors.Size = new System.Drawing.Size(608, 97);
			this.authors.TabIndex = 5;
			this.authors.View = System.Windows.Forms.View.Details;
			this.authors.SelectedIndexChanged += new System.EventHandler(this.authors_SelectedIndexChanged);
			// 
			// titles
			// 
			this.titles.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																					 this.title,
																					 this.publisher,
																					 this.year});
			this.titles.Location = new System.Drawing.Point(24, 168);
			this.titles.Name = "titles";
			this.titles.Size = new System.Drawing.Size(608, 136);
			this.titles.TabIndex = 6;
			this.titles.View = System.Windows.Forms.View.Details;
			// 
			// lastName
			// 
			this.lastName.Text = "Last Name";
			this.lastName.Width = 165;
			// 
			// firstName
			// 
			this.firstName.Text = "First Name";
			this.firstName.Width = 135;
			// 
			// title
			// 
			this.title.Text = "Title";
			this.title.Width = 204;
			// 
			// publisher
			// 
			this.publisher.Text = "Publisher";
			this.publisher.Width = 210;
			// 
			// year
			// 
			this.year.Text = "Year";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(648, 365);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.titles,
																		  this.authors,
																		  this.button1,
																		  this.label2,
																		  this.label1});
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			Application.Exit();
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			Author[] authorList = Author.getAuthors();
			for (int i = 0; i < authorList.Length; i++)
			{
				ListViewItem li = new ListViewItem();
				li.Text = authorList[i].lastName;
				li.SubItems.Add(authorList[i].firstName);
				authors.Items.Add(li);
			}
		}

		private void authors_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			// clear the titles list
			titles.Items.Clear();;
			if (authors.SelectedItems.Count == 0)
			{
				return;
			}

			// get the selected item
			ListViewItem li = authors.SelectedItems[0];

			// get the first and last names
			string lastName = li.Text;
			string firstName = li.SubItems[1].Text;


			// get the Books array
			Book[] books = Book.getBooks(firstName, lastName);

			// load the books information
			for (int i = 0; i < books.Length; i++)
			{
				ListViewItem li2 = new ListViewItem();
				li2.Text = books[i].title;
				li2.SubItems.Add(books[i].publisher);
				li2.SubItems.Add(books[i].year);
				titles.Items.Add(li2);
			}
		}
	}
}
